System 2.0.0.0 4.0.0.0 System.Security.Cryptography.X509Certificates.X509Extension

This class provides properties that define the basic constraints set on a certificate.

Defines the constraints set on a certificate. This class cannot be inherited.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  2.0.0.0
  4.0.0.0

  Use this constructor if the information to create an extension is already in an object.

  Initializes a new instance of the class using an object and a value that identifies whether the extension is critical.

  The encoded data to use to create the extension.
  true if the extension is critical; otherwise, false.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class. Parameters specify a value that indicates whether a certificate is a certificate authority (CA) certificate, a value that indicates whether the certificate has a restriction on the number of path levels it allows, the number of levels allowed in a certificate's path, and a value that indicates whether the extension is critical.

  true if the certificate is a certificate authority (CA) certificate; otherwise, false.
  true if the certificate has a restriction on the number of path levels it allows; otherwise, false.
  The number of levels allowed in a certificate's path.
  true if the extension is critical; otherwise, false.
- Property
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  Use this property to determine if the certificate is a certificate authority (CA) certificate.

  Gets a value indicating whether a certificate is a certificate authority (CA) certificate.

- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  Use this constructor if the information to create an extension is already in an object.

  Initializes a new instance of the class using an object.

  The encoded data to use to create the extension.
- Property
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  A certificate issuer can restrict the number of levels in a certificate path. This property indicates whether the certificate has this restriction. If this value is true, you can use the property to determine the number of levels allowed.

  Gets a value indicating whether a certificate has a restriction on the number of path levels it allows.

- Property
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  If a certificate has a constraint on the number of path levels it allows, this property indicates how many levels are allowed.

  Gets the number of levels allowed in a certificate's path.